<?php
/**
 * @copyright	Copyright (C) 2005 - 2007 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
$positions = array (
	'content-top'			=>'',
	'content-bottom'		=>'content-bot',
);

$this->_basewidth = 20;
$this->definePosition ($positions);
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>">

<head>
<?php $this->loadBlock('iphone/head') ?>
</head>

<body id="bd" onload="updateOrientation()" onorientationchange="updateOrientation()">

<div id="ja-wrapper">
	<a name="Top" id="Top"></a>
	
	<!-- NAV -->
	<?php $this->loadBlock('iphone/mainnav') ?>
	<!-- //NAV -->

	<!-- HEADER -->
	<?php $this->loadBlock('handheld/header') ?>
	<!-- //HEADER -->

	<!-- CONTENT -->
	<?php $this->loadBlock('handheld/main') ?>
	<!-- //CONTENT -->

	<!-- FOOTER -->
	<?php $this->loadBlock('handheld/footer') ?>
	<!-- //FOOTER -->

</div>

<jdoc:include type="modules" name="debug" />

</body>

</html>
